
package src.data.scripts.utils;

import com.fs.starfarer.api.combat.BoundsAPI;
import com.fs.starfarer.api.combat.CollisionClass;
import com.fs.starfarer.api.combat.CombatEntityAPI;
import com.fs.starfarer.api.combat.ShieldAPI;
import org.lwjgl.util.vector.Vector2f;

public class Art_LocEntity implements CombatEntityAPI {

    private Vector2f loc;
    private Vector2f vec;
    private BoundsAPI bound;
    private int owner;
    
    public Art_LocEntity(Vector2f loc,Vector2f vec,BoundsAPI bound,int owner){
        this.loc=loc;
        this.vec=vec;
       this.bound=bound;
       this.owner=owner;
    }

    @Override
    public Vector2f getLocation() {
        return this.loc;
    }

    @Override
    public Vector2f getVelocity() {
        return this.vec;
    }

    @Override
    public float getFacing() {
        return 0;
    }

    @Override
    public void setFacing(float facing) {
    }

    @Override
    public float getAngularVelocity() {
        return 0;
    }

    @Override
    public void setAngularVelocity(float angVel) {
    }

    @Override
    public int getOwner() {
        return this.owner;
    }

    @Override
    public void setOwner(int owner) {
    }

    @Override
    public float getCollisionRadius() {
        return 1;
    }

    @Override
    public CollisionClass getCollisionClass() {
        return CollisionClass.SHIP;
    }

    @Override
    public void setCollisionClass(CollisionClass collisionClass) {
    }

    @Override
    public float getMass() {
        return 1;
    }

    @Override
    public void setMass(float mass) {
    }

    @Override
    public BoundsAPI getExactBounds() {
        return  this.bound;
    }

    @Override
    public ShieldAPI getShield() {
        return null;
    }

    @Override
    public float getHullLevel() {
        return 0;
    }

    @Override
    public float getHitpoints() {
        return 0;
    }

    @Override
    public float getMaxHitpoints() {
        return 0;
    }

    @Override
    public void setCollisionRadius(float radius) {
    }

}
