package src.data.shipsystems.scripts;

import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.plugins.ShipSystemStatsScript;

public class Art_ArtefactPowerShield implements ShipSystemStatsScript {

    @Override
    public void apply(MutableShipStatsAPI stats, String id, State state, float effectLevel) {

        stats.getShieldDamageTakenMult().modifyMult(id, 1f - .5f * effectLevel);	
	stats.getShieldUpkeepMult().modifyMult(id, 0f);
        

    }

    @Override
    public void unapply(MutableShipStatsAPI stats, String id) {
        stats.getShieldAbsorptionMult().unmodify(id);
        stats.getShieldArcBonus().unmodify(id);
        stats.getShieldDamageTakenMult().unmodify(id);
        stats.getShieldTurnRateMult().unmodify(id);
        stats.getShieldUnfoldRateMult().unmodify(id);
        stats.getShieldUpkeepMult().unmodify(id);

    }

    @Override
    public StatusData getStatusData(int index, State state, float effectLevel) {
        if (index ==0) {
            return new StatusData("shield absorbs 2x damage", false);
        }
        return null;
    }
}
